%global pkgvers 3
%global scdate0 20220530
%global schash0 ea1075d60c82191a1391ad00aa55be916bb37ab7
%global branch0 master
%global source0 https://github.com/litex-hub/pythondata-cpu-cva5.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           litex-pythondata-cpu-cva5
Version:        2022.12
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Non-Python files needed for the cpu cva5
License:        BSD
BuildArch:      noarch

URL:            https://github.com/litex-hub/pythondata-cpu-cva5

BuildRequires:  git python3-devel python3-setuptools

Requires:       %{name}-python3 = %{version}-%{release}

%global debug_package %{nil}
%global __strip /bin/true
%undefine _missing_build_ids_terminate_build
%define _binaries_in_noarch_packages_terminate_build 0

%description
Non-Python files needed for the cpu cva5 packaged
into a Python module so they can be used with Python
libraries and tools.


%package        python3
Summary:        %{summary}
Requires:       litex-python3
Provides:       pythondata-cpu-cva5

%description    python3
Non-Python files needed for the cpu cva5 packaged
into a Python module so they can be used with Python
libraries and tools.


%prep
%setup -T -c -n %{name}
find %{_builddir} -name SPECPARTS -exec rm -rf {} +
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%{py3_build}


%install
%{py3_install}


%files python3
%doc README.md
%license LICENSE
%{python3_sitelib}/*


%changelog
* Sat Jun 04 2022 Cristian Balint <cristian.balint@gmail.com>
- initial release
